@script RequireComponent(Collider)
 
var MusicController:GameObject;
var MySound : AudioClip;
 
function OnTriggerEnter() {
	MusicController.SendMessage("Interrupt", MySound);
}
 
function OnTriggerExit() {
	MusicController.SendMessage("EndInterrupt");
}